<?php include_once "../../autoload.php";

$acao = $_POST["acao"];
unset($_POST["acao"]);

$usuario_evento_evento = $_POST["usuario_evento_evento"];

unset($_POST["usuario_evento_evento"]);


$module = "Usuario";
$data = new Usuario();


// Todos os dados
$data->dados($_POST);
// debug_code($_POST);

if ($acao != "excluir") {
	if (!Funcao::isMd5($data->usuario_senha)) {
		$data->usuario_senha = md5($data->usuario_senha);
	}
}


switch ($acao) {
	case 'cadastrar':
		if ($data->cadastrar()) {

			$usuario_id = $data->getUltimoId();
			cadastrarUsuarioEvento($usuario_id, $usuario_evento_evento);
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso", 1);
		}
		break;
	case 'editar':
		if ($data->alterar()) {
			$lista_exluir = (new UsuarioEvento)->and('usuario_evento_usuario', $_POST["usuario_id"])->listar(0);
			foreach ($lista_exluir as $item) {
				$excluir = new UsuarioEvento();
				$excluir->dados(["usuario_evento_id" => $item->usuario_evento_id]);
				$excluir->excluir();
			}
			unset($lista_exluir);
			cadastrarUsuarioEvento($_POST["usuario_id"], $usuario_evento_evento);

			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso", 2);
		}
		break;
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso", 3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}


function cadastrarUsuarioEvento($usuario, $evento)
{
	$cad_usuario_evento = (new UsuarioEvento);
	$cad_usuario_evento->dados(
		$cad_usuario_evento->dados = array(
			"usuario_evento_usuario" => $usuario,
			"usuario_evento_evento" => $evento
		)
	);
	$cad_usuario_evento->cadastrar();
}
